Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 10261011: Windowed mode mouse lock addded to fullscreen controller. (Closed)

Created:
7 years, 11 months ago by scheib
Modified:
7 years, 10 months ago
Reviewers:
jeremya, yzshen1, sky, hashimoto
CC:
chromium-reviews
Visibility:
Public.

Description

Windowed mode mouse lock addded to fullscreen controller. Allows mouse lock to be entered outside of fullscreen. The root changes are in chrome/browser/ui/fullscreen_controller They require the user interface bubble to be more tolerant of state changes. Three versions of that code are modified: Views: chrome/browser/ui/views/frame/browser_view.cc GTK: chrome/browser/ui/gtk/browser_window_gtk.cc Mac: chrome/browser/ui/cocoa/... Testing is expanded in: chrome/browser/ui/browser_browsertest.cc BUG=107013 TEST=Entering and exiting of mouse lock and fullscreen. chrome/test/data/fullscreen_mouselock/fullscreen_mouselock.html Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=138150

Patch Set 1 : . #

Total comments: 30

Patch Set 2 : yzshen feedback addressed. #

Total comments: 10

Patch Set 3 : Nits addressed. #

Patch Set 4 : Fix Mac build bot errors #

Total comments: 8

Patch Set 5 : Notifications not delayed, documented; merged to lkgr #

Patch Set 6 : indent #

Unified diffs Side-by-side diffs Delta from patch set Stats (+473 lines, -104 lines) Patch
M chrome/browser/ui/browser_browsertest.cc View 1 2 3 4 9 chunks +240 lines, -5 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller.mm View 1 2 1 chunk +10 lines, -1 line 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller_private.mm View 1 2 1 chunk +1 line, -9 lines 0 comments Download
M chrome/browser/ui/cocoa/fullscreen_exit_bubble_controller.mm View 1 2 3 4 chunks +8 lines, -6 lines 0 comments Download
M chrome/browser/ui/fullscreen_controller.h View 1 2 chunks +13 lines, -5 lines 0 comments Download
M chrome/browser/ui/fullscreen_controller.cc View 1 2 3 4 5 14 chunks +156 lines, -65 lines 0 comments Download
M chrome/browser/ui/gtk/browser_window_gtk.cc View 1 2 3 4 1 chunk +12 lines, -3 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_view.cc View 1 2 3 4 1 chunk +7 lines, -1 line 0 comments Download
M chrome/common/chrome_notification_types.h View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/test/data/fullscreen_mouselock/fullscreen_mouselock.html View 1 2 1 chunk +22 lines, -9 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
scheib
7 years, 11 months ago (2012-04-30 17:13:19 UTC) #1
scheib
Nico, could you look over the cocoa changes in this patch?
7 years, 11 months ago (2012-04-30 17:52:34 UTC) #2
yzshen1
First round of comments for fullscreen_controller.{h,cc} http://codereview.chromium.org/10261011/diff/2001/chrome/browser/ui/fullscreen_controller.cc File chrome/browser/ui/fullscreen_controller.cc (right): http://codereview.chromium.org/10261011/diff/2001/chrome/browser/ui/fullscreen_controller.cc#newcode72 chrome/browser/ui/fullscreen_controller.cc:72: base::Bind(&FullscreenController::NotifyMouseLockChange, this)); Is ...
7 years, 11 months ago (2012-04-30 19:32:40 UTC) #3
scheib
yzshen: All comments addressed, please take another look. hashimoto: Please review changes related to fullscreen ...
7 years, 11 months ago (2012-05-01 03:27:07 UTC) #4
hashimoto
http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/fullscreen_controller.cc File chrome/browser/ui/fullscreen_controller.cc (right): http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/fullscreen_controller.cc#newcode465 chrome/browser/ui/fullscreen_controller.cc:465: fprintf(stderr, "ToggleFullscreenModeInternal ----------------\n"); Remove this.
7 years, 11 months ago (2012-05-01 12:06:40 UTC) #5
Nico
jeremya, can you look at the mac bubble stuff? http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc File chrome/browser/ui/browser_browsertest.cc (right): http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc#newcode194 chrome/browser/ui/browser_browsertest.cc:194: ...
7 years, 11 months ago (2012-05-01 14:57:21 UTC) #6
jeremya
lgtm. I've heard on the grapevine that there are plans to change the fullscreen UI, ...
7 years, 10 months ago (2012-05-07 01:23:41 UTC) #7
yzshen1
LGTM Only a few nits. http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc File chrome/browser/ui/browser_browsertest.cc (right): http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc#newcode1082 chrome/browser/ui/browser_browsertest.cc:1082: browser(), ui::VKEY_D, false, false, ...
7 years, 10 months ago (2012-05-18 01:00:45 UTC) #8
scheib
sky, please take an owners look for code in chrome/browser/ui. http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc File chrome/browser/ui/browser_browsertest.cc (right): http://codereview.chromium.org/10261011/diff/10/chrome/browser/ui/browser_browsertest.cc#newcode194 ...
7 years, 10 months ago (2012-05-18 23:07:49 UTC) #9
hashimoto
lgtm with a nit http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc File chrome/browser/ui/fullscreen_controller.cc (right): http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc#newcode235 chrome/browser/ui/fullscreen_controller.cc:235: mouse_lock_state_ = MOUSELOCK_ACCEPTED; nit: same ...
7 years, 10 months ago (2012-05-21 07:37:05 UTC) #10
sky
http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc File chrome/browser/ui/fullscreen_controller.cc (right): http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc#newcode72 chrome/browser/ui/fullscreen_controller.cc:72: MessageLoop::current()->PostTask(FROM_HERE, Why does this need to be delayed? At ...
7 years, 10 months ago (2012-05-21 15:18:38 UTC) #11
scheib
http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc File chrome/browser/ui/fullscreen_controller.cc (right): http://codereview.chromium.org/10261011/diff/16011/chrome/browser/ui/fullscreen_controller.cc#newcode72 chrome/browser/ui/fullscreen_controller.cc:72: MessageLoop::current()->PostTask(FROM_HERE, On 2012/05/21 15:18:38, sky wrote: > Why does ...
7 years, 10 months ago (2012-05-21 20:29:13 UTC) #12
sky
7 years, 10 months ago (2012-05-21 20:53:58 UTC) #13
LGTM

Powered by Google App Engine
This is Rietveld 408576698